Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface XMLCacheMonitorRuntimeMBean

All Known Subinterfaces:
  XMLCacheCumulativeRuntimeMBean

public interface XMLCacheMonitorRuntimeMBean
extends CacheMonitorRuntimeMBean

This interface is used to monitor the external XML entity cache. In particular, you can use the methods of the interface to return information about the current state of the cache.

Author:
  Copyright (c) 2001 by BEA WebXpress. All Rights Reserved.

Method Summary
`double` | `getAveragePerEntryMemorySize()` Returns the average memory size of the current entries
`double` | `getAverageTimeout()` Returns the average timeout of the current entries
`double` | `getMaxEntryMemorySize()` Returns the largest memory size of the current entries
`double` | `getMaxEntryTimeout()` Returns the largest timeout value for any entry
`double` | `getMinEntryMemorySize()` Returns the smallest memory size of the current entries
`double` | `getMinEntryTimeout()` Returns the smallest timeout value for any entry

Methods inherited from interface weblogic.management.runtime.CacheMonitorRuntimeMBean
`getAccessCount, getAccessTime, getCurrentSize, getCurrentTotalEntries, getFlushesCount, getHitCount, getInsertCount, getInsertTime, getTimeCreated, getTimeSinceStart`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAverageTimeout

    public double getAverageTimeout()

  Returns the average timeout of the current entries

### getMinEntryTimeout

    public double getMinEntryTimeout()

  Returns the smallest timeout value for any entry

### getMaxEntryTimeout

    public double getMaxEntryTimeout()

  Returns the largest timeout value for any entry

### getAveragePerEntryMemorySize

    public double getAveragePerEntryMemorySize()

  Returns the average memory size of the current entries

### getMinEntryMemorySize

    public double getMinEntryMemorySize()

  Returns the smallest memory size of the current entries

### getMaxEntryMemorySize

    public double getMaxEntryMemorySize()

  Returns the largest memory size of the current entries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference